﻿B4J=true
Group=Default Group
ModulesStructureVersion=1
Type=Class
Version=6.3
@EndOfDesignText@
#IgnoreWarnings:12
'Class Module
Sub Class_Globals
	'Private fx As JFX ' Uncomment if required. For B4j only

	Private TJO As JavaObject
End Sub

'Initializes the object. You can add parameters to this method if needed.
Public Sub Initialize

End Sub

'Creates an empty XYChart.Data object.
Public Sub Create
	'If a JavaObject has been passed, you may need to create it here and remove the parameter
	TJO.InitializeNewInstance("javafx.scene.chart.XYChart.Data",Null)
End Sub

'Creates an instance of XYChart.Data object and initializes the X,Y data values.
Public Sub Create2(XValue As Object, YValue As Object)
	'If a JavaObject has been passed, you may need to create it here and remove the parameter
	TJO.InitializeNewInstance("javafx.scene.chart.XYChart.Data",Array As Object(XValue, YValue))
End Sub

'Creates an instance of XYChart.Data object and initializes the X,Y data values and extraValue.
Public Sub Create3(XValue As Object, YValue As Object, ExtraValue As Object)
	'If a JavaObject has been passed, you may need to create it here and remove the parameter
	TJO.InitializeNewInstance("javafx.scene.chart.XYChart.Data",Array As Object(XValue, YValue, ExtraValue))
End Sub

'Returns the wrapped object as JavaObject
Public Sub AsJO As JavaObject
	Return TJO
End Sub
'The generic data value to be plotted in any way the chart needs.
Public Sub ExtraValueProperty As JavaObject
	Return TJO.RunMethod("extraValueProperty",Null)
End Sub
'Gets the value of the property extraValue.
Public Sub GetExtraValue As Object
	Return TJO.RunMethod("getExtraValue",Null)
End Sub
'Gets the value of the property node.
Public Sub GetNode As Node
	Return TJO.RunMethod("getNode",Null)
End Sub
'Returns the wrapped object as Object
Public Sub GetObject As Object
	Return TJO
End Sub
'Gets the generic data value to be plotted on the X axis.
Public Sub GetXValue As Object
	Return TJO.RunMethod("getXValue",Null)
End Sub
'Gets the generic data value to be plotted on the Y axis.
Public Sub GetYValue As Object
	Return TJO.RunMethod("getYValue",Null)
End Sub
'The node to display for this data item.
Public Sub NodeProperty As JavaObject
	Return TJO.RunMethod("nodeProperty",Null)
End Sub
'Sets the value of the property extraValue.
Public Sub SetExtraValue(Value As Object)
	TJO.RunMethod("setExtraValue",Array As Object(Value))
End Sub
'Sets the value of the property node.
Public Sub SetNode(Value As Node)
	TJO.RunMethod("setNode",Array As Object(Value))
End Sub
'Sets the generic data value to be plotted on the X axis.
Public Sub SetXValue(Value As Double)
	TJO.RunMethod("setXValue",Array As Object(Value))
End Sub
'Sets the generic data value to be plotted on the Y axis.
Public Sub SetYValue(Value As Double)
	TJO.RunMethod("setYValue",Array As Object(Value))
End Sub
'Returns a string representation of this Data object.
Public Sub ToString As String
	Return TJO.RunMethod("toString",Null)
End Sub
'The generic data value to be plotted on the X axis.
Public Sub XValueProperty As Object
	Return TJO.RunMethod("XValueProperty",Null)
End Sub
'The generic data value to be plotted on the Y axis.
Public Sub YValueProperty As Object
	Return TJO.RunMethod("YValueProperty",Null)
End Sub

'Comment if not needed
'Set the underlying Object, must be of correct type
Public Sub SetObject(Obj As Object)
	TJO = Obj
End Sub

'Set the Tag for this object
Public Sub SetTag(Tag As Object)
	TJO.RunMethod("setUserData",Array(Tag))
End Sub

'Get the Tag for this object
Public Sub GetTag As Object
	Dim Tag As Object = TJO.RunMethod("getUserData",Null)
	If Tag = Null Then Tag = ""
	Return Tag
End Sub

