﻿B4J=true
Group=Default Group
ModulesStructureVersion=1
Type=Class
Version=6.3
@EndOfDesignText@
#IgnoreWarnings:12
'Class Module
Sub Class_Globals
	'Private fx As JFX ' Uncomment if required. For B4j only

	Private TJO As JavaObject
End Sub

'Initializes the object. You can add parameters to this method if needed.
Public Sub Initialize

End Sub

'Construct a empty series
Public Sub Create
	'If a JavaObject has been passed, you may need to create it here and remove the parameter
	TJO.InitializeNewInstance("javafx.scene.chart.XYChart.Series",Null)
End Sub

'Constructs a Series and populates it with the given ObservableList data.
Public Sub Create2(Data As JavaObject)
	'If a JavaObject has been passed, you may need to create it here and remove the parameter
	TJO.InitializeNewInstance("javafx.scene.chart.XYChart.Series",Array As Object(Data))
End Sub

'Constructs a named Series and populates it with the given ObservableList data.
Public Sub Create3(Name As String, Data As JavaObject)
	'If a JavaObject has been passed, you may need to create it here and remove the parameter
	TJO.InitializeNewInstance("javafx.scene.chart.XYChart.Series",Array As Object(Name, Data))
End Sub

'Returns the wrapped object as JavaObject
Public Sub AsJO As JavaObject
	Return TJO
End Sub
'Reference to the chart this series belongs to
Public Sub ChartProperty As JavaObject
	Return TJO.RunMethod("chartProperty",Null)
End Sub
'ObservableList of data items that make up this series
Public Sub DataProperty As JavaObject
	Return TJO.RunMethod("dataProperty",Null)
End Sub
'Gets the value of the property chart.
Public Sub GetChart As JavaObject
	Return TJO.RunMethod("getChart",Null)
End Sub
'Gets the value of the property data.
Public Sub GetData As List
	Return TJO.RunMethod("getData",Null)
End Sub
'Gets the value of the property name.
Public Sub GetName As String
	Return TJO.RunMethod("getName",Null)
End Sub
'Gets the value of the property node.
Public Sub GetNode As Node
	Return TJO.RunMethod("getNode",Null)
End Sub
'Returns the wrapped object as Object
Public Sub GetObject As Object
	Return TJO
End Sub
'The user displayable name for this series
Public Sub NameProperty As JavaObject
	Return TJO.RunMethod("nameProperty",Null)
End Sub
'The node to display for this series.
Public Sub NodeProperty As JavaObject
	Return TJO.RunMethod("nodeProperty",Null)
End Sub
'Sets the value of the property data.
Public Sub SetData(Value As JavaObject)
	TJO.RunMethod("setData",Array As Object(Value))
End Sub
'Sets the value of the property name.
Public Sub SetName(Value As String)
	TJO.RunMethod("setName",Array As Object(Value))
End Sub
'Sets the value of the property node.
Public Sub SetNode(Value As Node)
	TJO.RunMethod("setNode",Array As Object(Value))
End Sub
'Returns a string representation of this Series object.
Public Sub ToString As String
	Return TJO.RunMethod("toString",Null)
End Sub

'Comment if not needed
'Set the underlying Object, must be of correct type
Public Sub SetObject(Obj As Object)
	TJO = Obj
End Sub

'Set the Tag for this object
Public Sub SetTag(Tag As Object)
	TJO.RunMethod("setUserData",Array(Tag))
End Sub

'Get the Tag for this object
Public Sub GetTag As Object
	Dim Tag As Object = TJO.RunMethod("getUserData",Null)
	If Tag = Null Then Tag = ""
	Return Tag
End Sub

