﻿B4J=true
Group=Default Group
ModulesStructureVersion=1
Type=Class
Version=6.3
@EndOfDesignText@
#IgnoreWarnings:12
'Class Module
Sub Class_Globals
	'Private fx As JFX ' Uncomment if required. For B4j only

	Private TJO As JavaObject
End Sub

'Initializes the object. You can add parameters to this method if needed.
Public Sub Initialize

End Sub

'Creates a new instance of LinearGradient.
Public Sub Create(StartX As Double, StartY As Double, EndX As Double, EndY As Double, Proportional As Boolean, CycleMethod As String, Stops As List)
	'If a JavaObject has been passed, you may need to create it here and remove the parameter
	TJO.InitializeNewInstance("javafx.scene.paint.LinearGradient",Array As Object(StartX, StartY, EndX, EndY, Proportional, CycleMethod, Stops))
End Sub

'Creates a new instance of LinearGradient.
Public Sub Create2(StartX As Double, StartY As Double, EndX As Double, EndY As Double, Proportional As Boolean, CycleMethod As String, Stops() As Stop)
	'If a JavaObject has been passed, you may need to create it here and remove the parameter
	TJO.InitializeNewInstance("javafx.scene.paint.LinearGradient",Array As Object(StartX, StartY, EndX, EndY, Proportional, CycleMethod,  UnWrapTypedArray(Stops, "Please add class definition for Stop to Array Types")))
End Sub

'Returns the wrapped object as JavaObject
Public Sub AsJO As JavaObject
	Return TJO
End Sub
'Indicates whether some other object is "equal to" this one.
Public Sub Equals(Obj As Object) As Boolean
	Return TJO.RunMethod("equals",Array As Object(Obj))
End Sub
'Defines which of the following cycle method is applied to the LinearGradient: CycleMethod.NO_CYCLE, CycleMethod.REFLECT, or CycleMethod.REPEAT.
Public Sub GetCycleMethod As JavaObject
	Return TJO.RunMethod("getCycleMethod",Null)
End Sub
'Defines the X coordinate of the gradient axis end point.
Public Sub GetEndX As Double
	Return TJO.RunMethod("getEndX",Null)
End Sub
'Defines the Y coordinate of the gradient axis end point.
Public Sub GetEndY As Double
	Return TJO.RunMethod("getEndY",Null)
End Sub
'Returns the wrapped object as Object
Public Sub GetObject As Object
	Return TJO
End Sub
'Defines the X coordinate of the gradient axis start point.
Public Sub GetStartX As Double
	Return TJO.RunMethod("getStartX",Null)
End Sub
'Defines the Y coordinate of the gradient axis start point.
Public Sub GetStartY As Double
	Return TJO.RunMethod("getStartY",Null)
End Sub
'A sequence of 2 or more Stop values specifying how to distribute the colors along the gradient.
Public Sub GetStops As List
	Dim WrapperList As List
	WrapperList.Initialize
	Dim L As List = TJO.RunMethod("getStops",Null)
	For Each O As Object In L
		Dim Wrapper As Stop
		Wrapper.initialize
		Wrapper.SetObject(O)
		WrapperList.Add(Wrapper)
	Next
	Return WrapperList
End Sub
'Returns a hash code for this LinearGradient object.
Public Sub HashCode As Int
	Return TJO.RunMethod("hashCode",Null)
End Sub
'Gets whether this Paint is completely opaque.
Public Sub IsOpaque As Boolean
	Return TJO.RunMethod("isOpaque",Null)
End Sub
'Indicates whether start and end locations are proportional or absolute.
Public Sub IsProportional As Boolean
	Return TJO.RunMethod("isProportional",Null)
End Sub
'Returns a string representation of this LinearGradient object.
Public Sub ToString As String
	Return TJO.RunMethod("toString",Null)
End Sub
'Creates a linear gradient value from a string representation.
Public Sub ValueOf(Value As String) As LinearGradient
	Dim TJO1 As JavaObject
	TJO1.InitializeStatic("javafx.scene.paint.LinearGradient")
	Dim Wrapper As LinearGradient
	Wrapper.Initialize
	Wrapper.SetObject(TJO1.RunMethod("valueOf",Array As Object(Value)))
	Return Wrapper
End Sub

'Comment if not needed
'Set the underlying Object, must be of correct type
Public Sub SetObject(Obj As Object)
	TJO = Obj
End Sub

'Set the Tag for this object
Public Sub SetTag(Tag As Object)
	TJO.RunMethod("setUserData",Array(Tag))
End Sub

'Get the Tag for this object
Public Sub GetTag As Object
	Dim Tag As Object = TJO.RunMethod("getUserData",Null)
	If Tag = Null Then Tag = ""
	Return Tag
End Sub

'UnWrap a Wrapped array . 
'Arr is an array of wrapped objects
Private Sub UnWrapTypedArray(Arr As Object,UnWrapType As String) As Object
	Dim P1 As JavaObject
	Dim ObjArr() As Object = Arr
	Dim ResultArr(ObjArr.Length) As Object
	For i = 0 To ObjArr.Length - 1
		ResultArr(i) = GetWrappedObject(ObjArr(i))
	Next
	If UnWrapType = "" Then UnWrapType = GetType(ResultArr(0))
	P1.InitializeArray(UnWrapType,ResultArr)
	Return P1
End Sub
'Gets a wrapped object from any wrapper class that has a AsObject Sub 
'without knowing it's type
Private Sub GetWrappedObject(jObj As JavaObject) As JavaObject
	Try
		'Unwrap JOLibs
    #if Debug
		Return jObj.RunMethod("_getobject",Array(jObj))
    #end if
    #if Release
    Return jObj.RunMethod("_getobject",Null)
    #End if
	Catch
		Try
			'Unwrap B4x objects
			Return jObj.RunMethod("getObject",Null)
		Catch
			Log(LastException)
			Log("Invalid type passed to Sub " & GetType(jObj))
		End Try
    
		Return Null
	End Try
End Sub